# Generated by Django 4.2.4 on 2023-08-26 22:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="State",
            fields=[
                ("id", models.PositiveIntegerField(primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=40)),
                ("abbreviation", models.CharField(max_length=2, unique=True)),
            ],
            options={
                "ordering": ("abbreviation",),
            },
        ),
        migrations.CreateModel(
            name="Location",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "state",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="maxim.state",
                    ),
                ),
            ],
            options={
                "ordering": ("state",),
            },
        ),
    ]
